Copyright (C) 2020-2022 MicroSys Electronics GmbH

# Release Notes for MPXLS10xx/CRX05,CRX06,CRX07 & MPXLX2160/CRX08 Yocto Layer

## Supported Platforms

### MPXLS1043A

| Machine                    | Description                             |
|----------------------------|-----------------------------------------|
| mpxls1043ac1000msatacrx05  | MPXLS1043A with 1.0 GHZ / mSATA / CRX05 |
| mpxls1043ac1000pciecrx05   | MPXLS1043A with 1.0 GHZ / PCIe / CRX05  |
| mpxls1043ac1600msatacrx05  | MPXLS1043A with 1.6 GHZ / mSATA / CRX05 |
| mpxls1043ac1600pciecrx05   | MPXLS1043A with 1.6 GHZ / PCIe / CRX05  |

### MPXLS1046A

| Machine                    | Description                            |
|----------------------------|----------------------------------------|
| mpxls1046ram4gbcrx05       | MPXLS1046A with 1.2 GHZ core CPU Frequency, 2GB RAM, Carrier CRX05 |
| mpxls1046ram2gbcrx05       | MPXLS1046A with 1.6 GHZ core CPU Frequency, 4GB RAM, Carrier CRX05 |
| mpxls1046crx06             | MPXLS1046A with 1.6 GHZ core CPU Frequency, 4GB RAM, Carrier CRX06 |

### MPXLS1088A

| Machine                    | Description                            |
|----------------------------|----------------------------------------|
| mpxls1088crx05             | MPXLS1088A with 1.6 GHZ core CPU Frequency, 2GB RAM, Carrier CRX05 |
| mpxls1088crx06             | MPXLS1088A with 1.6 GHZ core CPU Frequency, 4GB RAM, Carrier CRX06, 2xXFI, TSN |
| mpxls1088crx06qsgmii       | MPXLS1088A with 1.6 GHZ core CPU Frequency, 4GB RAM, Carrier CRX06, 2xXFII, QSGMII |

### MPXLS1028A

| Machine                    | Description                            |
|----------------------------|----------------------------------------|
| mpxls1028crx07             | MPXLS1028A with 1.3 GHZ core CPU Frequency, 4GB RAM, Carrier CRX07 |

### MPXLX2160A

| Machine                    | Description                            |
|----------------------------|----------------------------------------|
| mpxlx2160acrx08            | MPXLX2160A with 2.2 GHZ core CPU Frequency, 32GB RAM, DDR 2400 MT/s, Carrier CRX08 |
| mpxlx2160acrx08ai          | MPXLX2160A with 2.2 GHZ core CPU Frequency, 32GB RAM, DDR 2400 MT/s, Carrier CRX08 , Hailo AI Platform |


## Limitations

- MPXLX2160A:
    - DPMAC5 25G SFP not yet supported.
    - Following features are not yet tested:
    - RS485

- MPXLS1043A:
    - No QE firmware support for NAND Flash, U-Boot message "Not a microcode" can be ignored.

- MPXLS1046A, MPXLS1088A: CRX06:
    - No NXP SJA1105 driver support, instead SJA1105-tool from openil is being used.

## Yocto

Supported build hosts:

- Fedora 31

A complete and actual list can be found in the poky distribution at
`poky/meta-poky/conf/distro/poky.conf`
and then check the variable SANITY_TESTED_DISTROS.

## Change History

### 4.0.3: 2022-05-03

Updated Install script

### 4.0.2: 2022-05-03

Fixed build for mpxls1043 machines

### 4.0.1: 2022-04-21

Replaced machine mpxls1043crx05 with the following added machines:

- mpxls1043ac1000msatacrx05
- mpxls1043ac1000pciecrx05
- mpxls1043ac1600msatacrx05
- mpxls1043ac1600pciecrx05

### 4.0: 2022-03-28

- ATF 2.4
- U-Boot 2021.04
- Linux 5.10.72
- fixed network for MPXLS1088A

### 3.3: 2021-11-30

- hailo: Updated Hailo External Source Path


### 3.2: 2021-11-29

- microsys-image-networking: Updated ramdisk image dependencies

### 3.1: 2021-11-17

- Added Support for MicroSys-Hailo AI Platform
- Added Machine for MicroSys-Hailo AI Platform : mpxlx2160acrx08ai

### 3.0: 2021-10-25

- Ported to LSDK-21.08 release
- U-Boot 2021.04
- Linux kernel 5.10-35

### 2.3.9: 2021-10-11

- Yocto: Updated default serdes config for mpxls1043 to 0x3358 with msata
- linux: mpxls1043: Enabled USB controllers in device tree

### 2.3.8: 2021-09-16

- U-Boot: Added Support for LX2160 CPU without CAN-FD functionality
- This fixes the issue where PCIE driver tries to call pcie-layerscape-gen4
  feature in linux Kernel due which pcie devices are not found in Linux

### 2.3.7: 2021-09-10

- rootfs: Added udev networking rules for fsl dpaa.

### 2.3.6: 2021-08-25

- rootfs: Added udev networking rules for fsl dpaa.

### 2.3.5: 2021-08-03

- mpxls1088: removed unused mac interfaces from device tree.

### 2.3.4: 2021-08-02

- mpxls10xx: dts: fixed wrong remote temperature shown
- mmc: The clock rate of the SD-card was not correctly set. For MPXLS1046A the divider has to be 1.

### 2.3.3: 2021-07-07

- Fixed large ramdisk image size

### 2.3.2: 2021-07-01

- MC Firmware Update 10.24.0
- Fixed Yocto - ramdisk build issue

### 2.3.1: 2021-06-18

- Adapted support for MPXLS1088:CRX06:2xQSGMII for LSDK-20.12

### 2.3: 2021-03-04

- Ported to LSDK-20.12 release
- U-Boot 2019.10
- Linux kernel 5.4
- Machine MPX-LX2160A with CRX08 Support

### 2.2: 2020-07-29

- Added support for MPXLS1088:CRX06:2xQSGMII

### 2.2: 2020-05-26

- Ported to LSDK-20.04 release
- U-Boot 2019.10
- Linux kernel 5.4

### 2.1: 2019-12-16

- Version 2.1
- Ported to LSDK-19.09 release
- Added Arm Trusted Firmware Support.
- RCW Update: Added PBI values for PCIE and other necessary Erratum.
- RCW Update: RCW[IRQ_EXT] has been set to 0 in order to use the External IRQs.
- RCW Update: Added RCW for NAND Boot.
- U-Boot for SD-card and QSPI boot based on version 2019.06.
- Linux kernel based on kernel version 4.19.68.
- Added Ramdisk Image Feature.

### 2.0: 2019-07-19

- Version 2.0
- U-Boot for SD-card boot based on version 2018.09
- Linux kernel based on kernel version 4.19
- Update uboot_firmware command to update QSPI, NAND u-boot, ppa firmware and fsl-fman-ucode

### 1.4: 2020-01-29

- Ported to build with Yocto 'zeus' release
- Fixed missing network interface 'eno3' in RCW
- Fixed no SerDes link between QSGMII PHY and TSN switch

### 1.3: 2019-11-29

- Fixed problems with tsntool
- Enabled TSN switch support in kernel configuration

### 1.2: 2019-11-07
---------------

- Added tsntool 0.3 for managing the TSN switch
- Switched to TFA-boot using ATF bootloader
- Updated to U-Boot 2019.04 and Linux kernel 4.19.68 according to LSDK-19.09 version
- Support for 1500MHz core frequency in RCW

### 1.1: 2019-07-29

- Fixed Yocto build issue when patching the Linux kernel.

### 1.0: 2019-05-22

- Initial version
- U-Boot for SD-card boot based on version 2018.09
- Linux kernel based on kernel version 4.14
- No support for GPU GC7000. This will be fixed in future.
- No support for managing the on-chip TSN switch. This will be fixed in future.
- Firmware for DisplayPort is not automatically installed into the root filesystem. Please check README-microsys.md how to install it manually. This will be fixed in future.
