# Copyright (C) 2019 MicroSys Electronics GmbH, Author Kay Potthoff
# Author: Kay Potthoff <kay.potthoff@microsys.de>

inherit deploy fsl-eula-unpack

DESCRIPTION = "DisplayPort firmware for LS1028A"
SECTION = "bsp"
PACKAGE_ARCH = "${MACHINE_ARCH}"

LICENSE = "NXP-Binary-EULA"
LIC_FILES_CHKSUM = "file://COPYING;md5=6c12031a11b81db21cdfe0be88cac4b3"

SRC_URI = "http://www.nxp.com/lgfiles/sdk/lsdk1909/firmware-cadence-lsdk1909.bin;fsl-eula=true"

SRC_URI[md5sum] = "07cab3eea88dbf3150b55a91624f0715"
SRC_URI[sha256sum] = "5871c5717be32f14a59624d5699d405e8ce9ae2e9c9ef86fd16e13d264a40e58"

do_patch[noexec] = "1"
do_configure[noexec] = "1"
do_compile[noexec] = "1"

S = "${WORKDIR}/firmware-cadence-lsdk1909"

do_install() {
    install -d ${D}/boot
    install -m 0644 ${B}/dp/ls1028a-dp-fw.bin ${D}/boot/ls1028a-dp-fw.bin
}

FILES_${PN} = " \
    /boot/ls1028a-dp-fw.bin \
"
